#pragma once

#ifndef __RSP_H__
#define __RSP_H__

#ifdef __cplusplus
extern "C" {
#endif

void waittask();
void runtask(OSTask *tsk);

#ifdef __cplusplus
void init_gfx_task(OSTask *tsk, u64 *dram_stack, u64 *output_buf, Gfx *glist, int debug=0);
#else
void init_gfx_task(OSTask *tsk, u64 *dram_stack, u64 *output_buf, Gfx *glist, int debug);
#endif
void init_dummy_task(OSTask *tsk, u32 type);
void init_rspboot_dummy_task(OSTask *tsk, u32 type);

#ifdef __cplusplus
}
#endif

#endif
